import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { o as openWormhole } from './consumer.js';
import { d as defineCustomElement$2 } from './sc-alert2.js';
import { d as defineCustomElement$1 } from './sc-icon2.js';

const scOrderManualInstructionsCss = ":host{display:block}";

const ScOrderManualInstructions = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    if (!this.manualPaymentInstructions || !this.manualPaymentTitle) {
      return h(Host, { style: { display: 'none' } });
    }
    return (h("sc-alert", { type: "info", open: true }, h("span", { slot: "title" }, this.manualPaymentTitle), this.manualPaymentInstructions.split('\n').map(i => {
      return h("p", null, i);
    })));
  }
  static get style() { return scOrderManualInstructionsCss; }
}, [1, "sc-order-manual-instructions", {
    "manualPaymentTitle": [1, "manual-payment-title"],
    "manualPaymentInstructions": [1, "manual-payment-instructions"]
  }]);
openWormhole(ScOrderManualInstructions, ['manualPaymentTitle', 'manualPaymentInstructions'], false);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-order-manual-instructions", "sc-alert", "sc-icon"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-order-manual-instructions":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScOrderManualInstructions);
      }
      break;
    case "sc-alert":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "sc-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { ScOrderManualInstructions as S, defineCustomElement as d };
